Invalid command ‘Order’, perhaps misspelled or defined by a module not included in the server configuration failed


when i try to start or restart my apache server , i get bellow message :

Syntax error on line 162 of /etc/apache2/apache2.conf:
Invalid command 'Order', perhaps misspelled or defined by a module not included in the server configuration
Action 'configtest' failed.
The Apache error log may have more information.
 failed!

and i try find this error on google and fix it :

http: //linuxindetails.wordpress.com/2009/12/02/invalid-command-order-perhaps-misspelled-or-defined-by-a-module-not-included-in-the-server-configuration-failed/

i get error : Module authz_host does not exist!

so , some body help me to fix it ?

thank !


Answers:


I just had the same problem while upgrading from openSUSE 13.2 to openSUSE Leap 42.1.

The problem is not a missing module in the apache2-configuration.

The problem is the upgrade from apache 2.2 to apache 2.4. "Order" and "Allow" have to be rewritten as follows (example):

in 2.2:

Order allow,deny
Allow from all

in 2.4:

Require all granted

You can find more options an examples here: Upgrading apache2